|
backdrop_load_updates |
core/includes/install.inc |
Loads .install files for installed modules to initialize the update system. |
|
backdrop_load_stylesheet_content |
core/includes/common.inc |
Processes the contents of a stylesheet for aggregation. |
|
backdrop_load_stylesheet |
core/includes/common.inc |
Loads the stylesheet and resolves all @import commands. |
|
backdrop_load_database_driver |
core/includes/install.inc |
Returns all supported database installer objects that are compiled into PHP. |
|
backdrop_load |
core/includes/bootstrap.inc |
Includes a file with the provided type and name. |
|
backdrop_language_initialize |
core/includes/bootstrap.inc |
Initializes all the defined language types. |
|
backdrop_js_defaults |
core/includes/common.inc |
Constructs an array of the defaults that are used for JavaScript items. |
|
backdrop_json_output |
core/includes/common.inc |
Returns data in JSON format. |
|
backdrop_json_format Deprecated |
core/includes/common.inc |
Format a string of JSON for older versions of PHP. |
|
backdrop_json_encode |
core/includes/common.inc |
Converts a PHP variable into its JavaScript equivalent. |
|
backdrop_json_deliver |
core/includes/common.inc |
Packages and sends the result of a page callback to the browser as JSON. |
|
backdrop_json_decode_unicode Deprecated |
core/includes/common.inc |
Decode Unicode characters in JSON strings. |
|
backdrop_json_decode |
core/includes/common.inc |
Converts an HTML-safe JSON string into its PHP equivalent. |
|
backdrop_is_nginx |
core/includes/bootstrap.inc |
Checks whether Backdrop is running under Nginx. |
|
backdrop_is_litespeed |
core/includes/bootstrap.inc |
Checks whether Backdrop is running under LiteSpeed. |
|
backdrop_is_https |
core/includes/bootstrap.inc |
Checks whether an HTTPS request is being served. |
|
backdrop_is_html |
core/includes/bootstrap.inc |
Detects if this is an HTML HTTP request. |
|
backdrop_is_front_page |
core/includes/path.inc |
Check if the current page is the home page. |
|
backdrop_is_dialog |
core/includes/bootstrap.inc |
Detects if this is a dialog HTTP request. |
|
backdrop_is_cli |
core/includes/bootstrap.inc |
Detects whether the current script is running in a command-line environment. |
|
backdrop_is_background |
core/includes/bootstrap.inc |
Stores if Backdrop is currently being executed in the background. |
|
backdrop_is_apache |
core/includes/bootstrap.inc |
Checks whether Backdrop is running under Apache. |
|
backdrop_is_ajax |
core/includes/bootstrap.inc |
Detects if this is an AJAX HTTP request. |
|
backdrop_install_system |
core/includes/install.inc |
Installs the system module. |
|
backdrop_install_schema |
core/includes/common.inc |
Creates all tables defined in a module's hook_schema(). |
|
backdrop_install_profile_distribution_name |
core/includes/install.inc |
Loads the installation profile, extracting its defined distribution name. |
|
backdrop_install_mkdir |
core/includes/install.inc |
Creates a directory with the specified permissions. |
|
backdrop_install_config_location |
core/includes/install.inc |
Creates the config directory (for config in file storage) and ensures the
config storage location is operational. |
|
backdrop_installation_attempted |
core/includes/bootstrap.inc |
Returns TRUE if a Backdrop installation is currently being attempted. |
|
backdrop_implode_tags |
core/includes/common.inc |
Implodes an array of tags into a string. |
|
backdrop_http_request |
core/includes/common.inc |
Performs an HTTP request. |
|
backdrop_http_header_attributes |
core/includes/common.inc |
Formats an attribute string for an HTTP header. |
|
backdrop_http_build_query |
core/includes/common.inc |
Parses an array into a valid, rawurlencoded query string. |
|
backdrop_html_to_text |
core/includes/mail.inc |
Transforms an HTML string into plain text, preserving its structure. |
|
backdrop_html_id |
core/includes/common.inc |
Prepares a string for use as a valid HTML ID and guarantees uniqueness. |
|
backdrop_html_class |
core/includes/common.inc |
Prepares a string for use as a valid class name. |
|
backdrop_hmac_base64 |
core/includes/bootstrap.inc |
Calculates a base-64 encoded, URL-safe sha-256 hmac. |
|
backdrop_hash_base64 |
core/includes/bootstrap.inc |
Calculates a base-64 encoded, URL-safe sha-256 hash. |
|
backdrop_group_js |
core/includes/common.inc |
Default callback to group JavaScript items. |
|
backdrop_group_css |
core/includes/common.inc |
Grouping callback: Groups CSS items by their types, media, and browsers. |
|
backdrop_goto_deprecated |
core/includes/common.inc |
Wraps backdrop_goto() to include a deprecated log message. |
|
backdrop_goto |
core/includes/common.inc |
Sends the user to a different page. |
|
backdrop_get_user_timezone |
core/includes/bootstrap.inc |
Returns the time zone of the current user. |
|
backdrop_get_updaters |
core/includes/common.inc |
Assembles the Backdrop Updater registry. |
|
backdrop_get_token |
core/includes/common.inc |
Generates a token based on $value, the user session, and the private key. |
|
backdrop_get_title |
core/includes/bootstrap.inc |
Gets the title of the current page. |
|
backdrop_get_schema_versions |
core/includes/install.inc |
Returns an array of available schema versions for a module. |
|
backdrop_get_schema_unprocessed |
core/includes/common.inc |
Returns the unprocessed and unaltered version of a module's schema. |
|
backdrop_get_schema |
core/includes/bootstrap.inc |
Gets the schema definition of a table, or the whole database schema. |
|
backdrop_get_query_parameters |
core/includes/common.inc |
Processes a URL query parameter array to remove unwanted elements. |